import { ElementRef, OnInit, Renderer2 } from '@angular/core';
import { CheckboxControlValueAccessor, ControlContainer, FormControl, FormControlDirective } from '@angular/forms';
export declare class NgSwitchComponent extends CheckboxControlValueAccessor implements OnInit {
    private controlContainer;
    private renderer2;
    private elementRef;
    formControlDirective: FormControlDirective;
    checkboxRef: ElementRef<HTMLInputElement>;
    formControl: FormControl;
    formControlName: string;
    get control(): FormControl;
    id: string;
    readonly: boolean;
    type: any;
    color: string;
    required: boolean;
    labelPosition: 'before' | 'after';
    constructor(controlContainer: ControlContainer, renderer2: Renderer2, elementRef: ElementRef);
    ngOnInit(): void;
}
