import { AfterViewInit } from '@angular/core';
import { ElementRef, OnInit, Renderer2 } from '@angular/core';
import { CheckboxControlValueAccessor, ControlContainer, FormControl, FormControlDirective } from '@angular/forms';
import { MatCheckbox } from '@angular/material/checkbox';
export declare class NgCheckboxComponent extends CheckboxControlValueAccessor implements OnInit, AfterViewInit {
    private controlContainer;
    private renderer2;
    private elementRef;
    formControlDirective: FormControlDirective;
    checkboxRef: MatCheckbox;
    formControl: FormControl;
    formControlName: string;
    get control(): FormControl;
    id: string;
    readonly: boolean;
    indeterminate: boolean;
    type: any;
    color: string;
    required: boolean;
    labelPosition: 'before' | 'after';
    constructor(controlContainer: ControlContainer, renderer2: Renderer2, elementRef: ElementRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
}
